# DataExchange
TKXSBase
StepData

# StepData_WriterLib Class Reference

`#include <StepData_WriterLib.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepData_WriterLib (const Handle(StepData_Protocol)&aprotocol)
Standard_EXPORT | StepData_WriterLib ()
Standard_EXPORT void | AddProtocol (const Handle(Standard_Transient)&aprotocol)
Standard_EXPORT void | Clear ()
Standard_EXPORT void | SetComplete ()
Standard_EXPORT Standard_Boolean | Select (const Handle(Standard_Transient)&obj, Handle(StepData_ReadWriteModule)&module, Standard_Integer &CN) const
Standard_EXPORT void | Start ()
Standard_EXPORT Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT const Handle_StepData_ReadWriteModule & | Module () const
Standard_EXPORT const Handle_StepData_Protocol & | Protocol () const

## Static Public Member Functions

static Standard_EXPORT void | SetGlobal (const Handle(StepData_ReadWriteModule)&amodule, const Handle(StepData_Protocol)&aprotocol)

## Private Attributes

Handle_StepData_NodeOfWriterLib | thelist
Handle_StepData_NodeOfWriterLib | thecurr

## Constructor & Destructor Documentation

Standard_EXPORT StepData_WriterLib::StepData_WriterLib | ( | const Handle(StepData_Protocol)& | aprotocol | ) |

Standard_EXPORT StepData_WriterLib::StepData_WriterLib | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void StepData_WriterLib::AddProtocol | ( | const Handle(Standard_Transient)& | aprotocol | ) |

Standard_EXPORT void StepData_WriterLib::Clear | ( |  | ) |

Standard_EXPORT const Handle_StepData_ReadWriteModule& StepData_WriterLib::Module | ( |  | ) | const

Standard_EXPORT Standard_Boolean StepData_WriterLib::More | ( |  | ) | const

Standard_EXPORT void StepData_WriterLib::Next | ( |  | ) |

void StepData_WriterLib::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepData_WriterLib::operator new | ( | size_t | size | ) | `[inline]`

void* StepData_WriterLib::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_StepData_Protocol& StepData_WriterLib::Protocol | ( |  | ) | const

Standard_EXPORT Standard_Boolean StepData_WriterLib::Select | ( | const Handle(Standard_Transient)& | obj,
|  | Handle(StepData_ReadWriteModule)& | module,
|  | Standard_Integer & | CN
| ) | const

Standard_EXPORT void StepData_WriterLib::SetComplete | ( |  | ) |

static Standard_EXPORT void StepData_WriterLib::SetGlobal | ( | const Handle(StepData_ReadWriteModule)& | amodule,
|  | const Handle(StepData_Protocol)& | aprotocol
| ) | `[static]`

Standard_EXPORT void StepData_WriterLib::Start | ( |  | ) |

## Field Documentation

Handle_StepData_NodeOfWriterLib StepData_WriterLib::thecurr `[private]`

Handle_StepData_NodeOfWriterLib StepData_WriterLib::thelist `[private]`

The documentation for this class was generated from the following file:

- StepData_WriterLib.hxx